<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: IPL Project</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">IPL Project</h1>

    



    


    <h3> </h3>










    




    <section>
        <article><h2>Getting Started</h2>
<p>First, clone the repository:</p>
<pre class="prettyprint source lang-bash"><code>git clone https://gitlab.com/manoj.singh.16/manoj_ipl_project.git
</code></pre>
<p>then, cd into the project directory</p>
<pre class="prettyprint source lang-bash"><code>cd manoj_ipl_project/
</code></pre>
<p>then, install all the dependencies</p>
<pre class="prettyprint source lang-bash"><code>npm i
</code></pre>
<p>finally, run the project</p>
<pre class="prettyprint source lang-bash"><code>npm start
</code></pre>
<h2>Documentation</h2>
<p>Documentation is hosted at <a href="https://manoj.singh.16.gitlab.io/manoj_ipl_project/">https://manoj.singh.16.gitlab.io/manoj_ipl_project/</a></p>
<h2>Config file</h2>
<p>The config file contains the default variables used in the project.</p>
<p><code>matchesCSVPath</code>: absolute path to the matches.csv file.<br>
<code>deliveriesCSVPath</code>: absolute path to the deliveries.csv file.<br>
<code>outputPath</code>: result output directory.<br>
<code>economicalBowlerYear</code>: the year in which to get economical bowlers.<br>
<code>extraRunsYear</code>: the year in which to get extra runs conceded per team.\</p>
<p>Config file path:</p>
<pre class="prettyprint source"><code>/src/server/config.js
</code></pre>
<h2>Output</h2>
<p>The output of the project is saved in a folder in <code>JSON</code> format.</p>
<p>Output folder path:</p>
<pre class="prettyprint source"><code>/src/public/output
</code></pre></article>
    </section>









<section>

<header>
    
        <h2>server/index.js</h2>
        
    
</header>

<article>
    <div class="container-overview">
    
        
            <div class="description"><p>src/server/index.js is the root file for the project</p></div>
        

        


<dl class="details">

    

    

    

    

    

    

    

    

    
    <dt class="tag-author">Author:</dt>
    <dd class="tag-author">
        <ul>
            <li>Manoj Singh</li>
        </ul>
    </dd>
    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="index.js.html">index.js</a>, <a href="index.js.html#line1">line 1</a>
    </li></ul></dd>
    

    

    
    <dt class="tag-see">See:</dt>
    <dd class="tag-see">
        <ul>
            <li><a href="https://gitlab.com/manoj.singh.16/manoj_ipl_project">Gitlab Repository</a></li>
        </ul>
    </dd>
    

    
</dl>


        
    
    </div>

    

    

    

    

    

    

    

    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">IPL Project</a></h2><h3>Modules</h3><ul><li><a href="module-bestSuperoverEconomy.html">bestSuperoverEconomy</a></li><li><a href="module-calcEconomy.html">calcEconomy</a></li><li><a href="module-config.html">config</a></li><li><a href="module-economicalBowlers.html">economicalBowlers</a></li><li><a href="module-extraRunsPerTeam.html">extraRunsPerTeam</a></li><li><a href="module-matchesInGivenYear.html">matchesInGivenYear</a></li><li><a href="module-matchesPerYear.html">matchesPerYear</a></li><li><a href="module-matchesWonPerTeam.html">matchesWonPerTeam</a></li><li><a href="module-matchesWonWithToss.html">matchesWonWithToss</a></li><li><a href="module-playerDismissed.html">playerDismissed</a></li><li><a href="module-playerOfTheMatch.html">playerOfTheMatch</a></li><li><a href="module-saveOutput.html">saveOutput</a></li><li><a href="module-strikeRate.html">strikeRate</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.7</a> on Wed May 26 2021 15:19:05 GMT+0530 (India Standard Time)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>